--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: condition
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ASSIGNMENT_NODES
  value: "[:lasgn, :op_asgn_or, :op_asgn_and, :iasgn,                           :op_asgn1, :gasgn, :dasgn_curr]"
full_name: Nitpick::Warnings::AssignmentAsCondition
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: matches?
- !ruby/object:RI::MethodSummary 
  name: message
name: AssignmentAsCondition
superclass: SimpleWarning
